using System;
namespace Upoznavanje
{
    class Szamitas
    {
        public static int Milos;
        public static int Tavolsag(int haz)
        {
            return Math.Abs(Milos - haz);
        }
        public static int NagyTav(int kozeli, int tavoli)
        {
            return (2 * Tavolsag(kozeli) + Tavolsag(tavoli));
        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            //valtozok letrehozasa
            int milos;
            int[] szomszedok = new int[100];
            int szomszedSzam;
            int balMax;
            int jobbMax;
            int ido;
            int i;
            //Elso sor beolvasasa
            string[] elsoSor = Console.ReadLine().Split(' ');

            //Szomszedok szamanak megadasa
            szomszedSzam = int.Parse(elsoSor[0]);

            //Milos hazanak helye
            milos = int.Parse(elsoSor[1]);

            //Masodik sor beolvasasa
            string[] masodikSor = Console.ReadLine().Split(' ');
            //enter

            //A szomszedos hazak helye
            for (i = 0; i < szomszedSzam; i++) szomszedok[i] = int.Parse(masodikSor[i]);

            //Alap ertekek beallitasa
            jobbMax = szomszedok[0];
            balMax = szomszedok[0];

            Szamitas.Milos = milos;


            //Ha jobbrol es balrol is vannak hazak

            //Eredmeny visszadasa
            if (szomszedSzam == 1) ido = Szamitas.Tavolsag(balMax);
            else
            {
                //Legtkisebb es Legnagyobb koordinataju szomszedos haz keresese
                for (i = 1; i < szomszedSzam; i++)
                {
                    //legkisebb szam keresese
                    if (szomszedok[i] < balMax) balMax = szomszedok[i];
                    //legnagyobb szam keresese
                    if (szomszedok[i] > jobbMax) jobbMax = szomszedok[i];
                }

                //csak balra vannak hazak
                if (milos > jobbMax) ido = Szamitas.Tavolsag(balMax);

                //csak jobbra vannak hazak
                else if (milos < balMax) ido = Szamitas.Tavolsag(jobbMax);

                //jobbra es balra is vannak hazak
                else
                {
                    if (Szamitas.Tavolsag(balMax) > Szamitas.Tavolsag(jobbMax)) ido = Szamitas.NagyTav(jobbMax, balMax);
                    else ido = Szamitas.NagyTav(balMax, jobbMax);
                }
            }

            Console.WriteLine(ido);
        }
    }
}